from common import Material, Feishu
from extract_data.douyin.douyin_author import douyinAuthor
from extract_data.kuaishou.kuaishou_author import kuaishouAuthor

import schedule
import threading
import time

# 定义读取表格的函数
def douyin_data(user_data):
    print(f"执行抖音数据抓取{user_data}")
    douyinAuthor.get_videoList(user_data)

def kuaishou_data(user_data):
    print(f"执行快手数据抓取{user_data}")
    kuaishouAuthor.get_kuaishou_videoList(user_data)


# 定义定时任务
def douyin_task():
    data = Material.get_all_user("douyin")
    threads = []
    for _, user_data in data.iterrows():
        thread = threading.Thread(target=douyin_data, args=(user_data,))
        threads.append(thread)
        thread.start()
    for thread in threads:
        thread.join()
    print("抖音数据抓取定时任务执行完成")


# 定义定时任务
def kuanshou_task():
    data = Material.get_all_user("kuanshou")
    threads = []
    for _, user_data in data.iterrows():
        thread = threading.Thread(target=kuaishou_data, args=(user_data,))
        threads.append(thread)
        thread.start()
    for thread in threads:
        thread.join()
    print("快手数据抓取定时任务执行完成.")

# schedule.every(2).minutes.do(douyin_task)
#
# schedule.every(2).minutes.do(kuanshou_task)

schedule.every(2).hours.do(douyin_task)

schedule.every(3).hours.do(kuanshou_task)

# 持续运行，直到手动终止
while True:
    schedule.run_pending()
    time.sleep(1)


